<?php
/*
  $Id: contrib_tracker.php,v 1.8.0 2014/07/07 00:00:00 $

  Designed for: osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Released under the GNU General Public License
  
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

define('NAVBAR_TITLE', 'Contribution Tracker');
define('HEADING_TITLE', 'Contribution Tracker');
define('HEADING_TITLE_CONTRIBSEARCH','Search');
define('HEADING_CONTRIB_RSS_SUPPORT_SITE','osCommerce Contributions RSS Feed');
define('HEADING_CONTRIB_HTML_SUPPORT_SITE','osCommerce Contributions HTML Site');
define('HEADING_SUB_TITLE','Overview');
define('HEADING_SUB_TITLE_EDIT','Update');
define('HEADING_SUB_TITLE_INSERT','Insert');
define('HEADING_SUB_TITLE_DELETE','Delete');
define('HEADING_SUB_TITLE_SETFLAG','Change Status');
define('HEADING_SUB_TITLE_READONLY','Details');


define('TEXT_NAME_VERSION','Contribution Name:');
define('TEXT_OSC_ID','OSC ID:');
define('TEXT_QUICKOSC_ID','Quick Add OSC ID:');
define('TEXT_INFO_HTML','Contribution URL:');
define('TEXT_CONFIG_COMMENTS','Notes:');
define('TEXT_INFO_HEADING_DELETE','Delete Contribution Entry?');
define('TEXT_INFO_DELETE_INTRO','Do you really want to delete ');
define('TEXT_INFO_DATE_ADDED','Date Added to Store:');
define('TEXT_INFO_STATUS_REFERENCE','Status Reference Date:');
define('TEXT_INFO_LAST_MODIFIED','Lastest at addons.oscommerce.com:');
define('TEXT_INFO_STATUS_CHANGE','Status Changed:');
define('TEXT_INFO_STATUS','Status:');
define('TEXT_INFO_TO_REMEMBER','Current Installed Version Date:');
define('TEXT_INFO_SUPPORT','Support Thread URL:');
define('TEXT_OSC_SUPPORT_THREAD','Support Thread URL');

define('TEXT_CONFIG_STATUS','Marker:');
define('TEXT_DISPLAY_NUMBER_OF_RECORDS','Displaying <b>%d</b> through <b>%d</b> of <b>%d</b> contributions');
define('TEXT_NO_DATA','No matching data found');
define('TEXT_EMPTY_DATABASE','No Contributions in Database!');
define('TEXT_SELECTED_ITEM_NOT_ON_PAGE','The selected item is not on this page.');
define('TEXT_HELP_NOTES_HEADER','Contribution Tracker usage notes:');
define('TEXT_HELP_NOTES','<li>Enter the title EXACTLY as on the contribution\'s page.</li><li>When the status light is red '.tep_image(DIR_WS_IMAGES . 'icon_status_red.gif', 'New Update Exists', 10, 10).', click the contrib\'s name to see the updates.</li><li>Click on the green light '. tep_image(DIR_WS_IMAGES . "icon_status_green.gif", "No New Update", 10, 10).' to set the last integrated date to now OR to the date of the last update.</li>');
define('TEXT_CONTRIB_HEADER','Latest OSC Contributions:');
define('TEXT_VERSION_NUMBER','Installed Version Number:');
define('TEXT_CONTRIBUTION_ID','Contribution ID:');
define('TEXT_LINK_TO','Link to:');
define('TEXT_CONTRIBUTION_LINK','Contribution');
define('TEXT_SUPPORT_LINK','Support');
define('TEXT_RESET_REF_DATE','Reset to Current Installed Version Date');
define('TEXT_TODAY_DATE','Today');
define('TEXT_NAME_NOTE_NEW','<a href="javascript:toggleDivBlock(\'nameInfo\');">(info)</a><span id="nameInfo" style="display: none;"><br /><i>For contributions on the osCommerce site you only need to enter the id<br /> and Contribution Tracker will fill in the URL, and the name of this contribution.</i><br /><br /></span>');
define('TEXT_ID_NOTE_NEW','<a href="javascript:toggleDivBlock(\'idInfo\');">(info)</a><span id="idInfo" style="display: none;"><br /><i>For contributions on the osCommerce site you only need to enter the id<br /> and Contribution Tracker will fill in the URL, and the name of this contribution.</i><br /><br /></span>');
define('TEXT_VERSION_NOTE_NEW','<a href="javascript:toggleDivBlock(\'versionInfo\');">(info)</a><span id="versionInfo" style="display: none;"><br /><i>Enter the version number you installed here.</i><br /><br /></span>');
define('TEXT_INT_DATE_NEW','<a href="javascript:toggleDivBlock(\'IntInfo\');">(info)</a><span id="IntInfo" style="display: none;"><br /><i>Check the \'Today\' box to enter today\'s date as the Installed Version Date.</i><br /> DO NOT use the US format mm-dd-yyyy as that confuses PHP.<br /><br /></span>');
define('TEXT_ADD_DATE_NEW','<a href="javascript:toggleDivBlock(\'AddInfo\');">(info)</a><span id="AddInfo" style="display: none;"><br /><i>Check the \'Today\' box to enter today\'s date as the date you added this contribution to<br /> your store.</i> DO NOT use the US format mm-dd-yyyy as that confuses PHP.<br /><br /></span>');
define('TEXT_ID_QUICK_NEW','<a href="javascript:toggleDivBlock(\'QuickEnter\');">(info)</a><span id="QuickEnter" style="display: none;"><br /><i>Enter the Id of a contribution to quickly add it to your list. <br />The current date will be used for installation and last integrated date. <br />You will need to add your version number later manually if you want to.</i><br /><br /></span>');
define('TEXT_MANUAL_CHECK','Check contribution\'s page for update');
define('TEXT_OSC_URL','<a href="javascript:toggleDivBlock(\'OSCURL\');">(info)</a><span id="OSCURL" style="display: none;"><br /><i>Enter the url of a contribution. If you entered the id you don\'t need to enter the url<br /> here, Contribution Tracker will do it for you.</i><br /><br /></span>');
define('TEXT_OSC_SUPPORT','<a href="javascript:toggleDivBlock(\'SUPPORTURL\');">(info)</a><span id="SUPPORTURL" style="display: none;"><br /><i>Enter the url of the contribution\'s support thread. You may enter just the topic ID if<br /> you have it, I will build the link for you.</i><br /><br /></span>');
define('TEXT_LATEST_RELEASE_INFO','<a href="javascript:toggleDivBlock(\'LatestRelDate\');">(info)</a><span id="LatestRelDate" style="display: none;"><br /><i>This date is maintained by the code and always reflects the<br /> Latest Official Release Date at addons.oscommerce.com.</i><br /><br /></span>');
define('TEXT_RESET_REF_DATE_INFO','<a href="javascript:toggleDivBlock(\'RefDate\');">(info)</a><span id="RefDate" style="display: none;"><br /><i>This date is used to determine status changes by comparing to the<br /> Latest Official Release Date at addons.oscommerce.com.</i><br /><br /></span>');
define('TEXT_PLACEHOLDER','yyyy-mm-dd');

define('TEXT_NEW_UPDATE_EXISTS','New Update Exists');
define('TEXT_SET_NEW_UPDATE_EXISTS','Set: New Update Exists Marker');
define('TEXT_NO_NEW_UPDATE','No New Update');
define('TEXT_SET_NO_NEW_UPDATE','Set: No New Update Marker');
define('TEXT_NO_STATUS','No Status');
define('TEXT_INFO','Info');

define('MESSAGE_INSERT_SUCCESS','Contribution successfully added.');
define('MESSAGE_INSERT_ERROR','Failed to add contribution.');
define('MESSAGE_INSERT_DUPLICATE','Contribution already exists.');
define('MESSAGE_WARNING_CONTRIB_ID_NOT_FOUND','No valid contribution number found, adding your details unlinked to a contribution.');
define('MESSAGE_ERROR_GETTING_CONTRIB_INFO','Connection to %s could not be established.');
define('MESSAGE_UPDATE_SUCCESS','Contribution successfully updated.');
define('MESSAGE_UPDATE_ERROR','Failed to update contribution.');
define('MESSAGE_DELETE_SUCCESS','Contribution successfully deleted.');
define('MESSAGE_DELETE_ERROR','Failed to delete contribution.');
define('MESSAGE_UPDATECHECK_SUCCESS','Date added successfully.');
define('MESSAGE_UPDATECHECK_ERROR','Failed to add date.');
define('MESSAGE_LINKCHANGE_SUCCESS','Updated contribution link to new add-ons URL.');
define('MESSAGE_MANUALALL_SUCCESS','All contributions have been successfully updated.');
define('MESSAGE_MANUALALL_ERROR','Contribution failed to update: Contribution Name: ');
define('MESSAGE_MANUALALL_NONE_ERROR','There are no contributions to check.');

define('IMAGE_BUTTON_BACK','Back to previous page');
define('IMAGE_INSERT','Add new contribution');
define('IMAGE_BUTTON_UPSORT','Sort this column Ascending');
define('IMAGE_BUTTON_DOWNSORT','Sort this column Descending');
define('IMAGE_ICON_STATUS_NONE','Set: No status');
define('IMAGE_ICON_INFO',' Preview ');
define('IMAGE_CHECKALL',' Check HTML pages for all contribs');
define('IMAGE_DETAILS','Details');
define('IMAGE_CHECK_FOR_UPDATE','Check for Update');
define('IMAGE_CONFIRM_DELETE','Confirm Delete');

define('TABLE_HEADING_NAME', 'Contribution Title');
define('TABLE_HEADING_STATUS', 'Status');
define('TABLE_HEADING_CURRENT', 'Current');
define('TABLE_HEADING_LATEST', 'Latest');
define('TABLE_HEADING_ADDED', 'Added');
define('TABLE_HEADING_ACTION', 'Action');
define('TABLE_HEADING_VERSION', 'Version');
define('HEADING_LAST_CHECK', 'Last Manual Contribution Check:');

define('TEXT_STATUS_ZERO', 'Update is available');
define('TEXT_STATUS_ONE', 'Contribution is up-to-date');
define('TEXT_STATUS_TWO', 'No Status');

?>
