<?php
/*
  $Id: configurer.php,v 1.1 2014/07/07 00:00:00 $

  Designed for: osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2006-2014 Todd Holforty - mtholforty [at] surfalot [dot] com

  Released under the GNU General Public License
  
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

define('HEADING_TITLE', 'Configuration Utility');
define('BUTTON_TITLE', 'Configurer');

define('TEXT_SELECT_TASK', 'Select task');

define('TEXT_NORMAL_SETUP', 'Normal Update');
define('TEXT_FORCE_REFRESH', 'Force Configuration Defaults');
define('TEXT_UNINSTALL', 'Remove All');
define('TEXT_UNINSTALL_CONFIRMATION', 'This will remove all configuration and data items. Are you sure you wish to do this?');
define('TEXT_UNINSTALL_CONFIRMATION2', 'Are you ABSOLUTELY SURE you wish to remove all data related to this contribution installation ???');

define('TEXT_CONFIG_PROCESS_DESCRIPTION', 'Choose the setup option and click Run Configuration Utility to setup your database.');
define('TEXT_CONFIG_PROCESS', 'Run Configuration Utility');
define('TEXT_SHOW_ME_UPDATES', 'Display Updates Only');

define('TEXT_DATABASE_REQUIRES_UPDATE', 'Your database requires updates.');
define('TEXT_DATABASE_REQUIRES_UPDATE_WARNING', 'Please, please <a href="backup.php"><u>backup your database</u></a> before performing this operation.');
define('TEXT_DATABASE_IS_UP_TO_DATE', 'Your database is up to date.');

define('TEXT_REMOVING_CONFIGURATION', 'Removing Configuration');
define('TEXT_CHECKING_FOR_COLUMNS_REMOVE', 'Checking for Columns to remove...');
define('TEXT_COLUMN_FOUND_REMOVING', 'Column "%s" found in Table "%s". Removing column...');
define('TEXT_SUCCESS_REMOVING_COLUMN', 'Successfully removed Column "%s" in Table "%s".');
define('TEXT_ERROR_REMOVING_COLUMN', 'Error returned when removing Column "%s" in Table "%s".');
define('TEXT_COLUMN_NOT_FOUND_DOING_NOTHING', 'Column "%s" not found in Table "%s", doing nothing.');
define('TEXT_TABLE_FOUND_NOT_PROCESSING', 'Table "%s" was not found, not processing columns.');

define('TEXT_CHECKING_TABLES', 'Checking for Tables to remove...');
define('TEXT_TABLE_FOUND_REMOVING', 'Table "%s" found. Removing...');
define('TEXT_SUCCESS_REMOVE_TABLE', 'Successfully removed table "%s".');
define('TEXT_ERROR_REMOVING_TABLE', 'Error returned when removing table "%s".');
define('TEXT_TABLE_NOT_FOUND_DOING_NOTHING', 'Table "%s" was not found, doing nothing.');

define('TEXT_CHECKING_FOR_CONFIGURATION_ITEMS', 'Checking for Configuration Items...');
define('TEXT_CHECKING_CONFIGURATION', 'Checking for Configuration table entries to remove...');
define('TEXT_REMOVING_CONFIGURATION_GROUP', 'Removing Configuration Group "%s" keys...');
define('TEXT_REMOVING_CONFIGURATION_KEY', 'Removing Configuration Key "%s".');
define('TEXT_ERROR_CONFIGURATION_KEY_NOT_EXIST', 'Configuration Key "%s" does not exist, doing nothing.');

define('TEXT_CHECKING_FOR_VERSION_UPDATES', 'Checking for Version Updates...');
define('TEXT_NO_VERSION_NUMBER_IN_DATABASE', 'Database has no version number stored for %s.');
define('TEXT_NO_VERSION_UPDATES_NECESSARY', 'No version updates are necessary for %s.');
define('TEXT_VERSION_UPDATES_ARE_NECESSARY', 'There are %s Version Updates necessary for your version of %s.');
define('TEXT_VERSION_UPDATES_NECESSARY', 'There are Version Updates necessary.');
define('TEXT_SETTING_VERSION_NUMBER', 'Setting the current version to %s in the database.');
define('TEXT_SET_VERSION_NUMBER', 'Set the current version to %s in the database.');
define('TEXT_VERSION_UPDATES_PERFORMED', 'There were %s updates performed. You database is ready for %s.');

define('TEXT_SUCCESS_REMOVE_GROUP', 'Successfully removed Configuration Group "%s".');
define('TEXT_ERROR_REMOVING_GROUP', 'Error returned when removing Configuration Group "%s".');
define('TEXT_GROUP_NOT_EMPTY', 'Configuration Group "%s" is not empty, skipping remove.');

define('TEXT_UPDATING_CONFIGURATION', 'Updating Configuration');
define('TEXT_DISPLAYING_CONFIGURATION', 'Displaying Updates');
define('TEXT_UPDATING_CONFIGURATION_GROUP', 'Updating Configuration Group "%s".');
define('TEXT_ADDING_CONFIGURATION_GROUP', 'Adding Configuration Group "%s".');
define('TEXT_ADD_CONFIGURATION_GROUP', 'Add Configuration Group "%s".');
define('TEXT_UPDATING_CONFIGURATION_KEY', 'Updating Configuration Key "%s".');
define('TEXT_ADDING_CONFIGURATION_KEY', 'Adding Configuration Key "%s".');
define('TEXT_ADD_CONFIGURATION_KEY', 'Add Configuration Key "%s".');
define('TEXT_NO_CONFIGURATION_KEY_UPDATES', 'No Configuration Key updates necessary.');
define('TEXT_SKIPPING_VERSION_CONFIGURATION_KEY', 'Skipping Version configuration key "%s" to maintain current version number.');

define('TEXT_TABLE_FOUND_DOING_NOTHING', 'Table "%s" found, doing nothing.');
define('TEXT_TABLE_FOUND_NOTHING_TO_DO', 'Table "%s" found, nothing to do.');
define('TEXT_TABLE_NOT_FOUND_CREATING', 'Table "%s" was not found. Creating...');
define('TEXT_CREATE_TABLE_NECESSARY', 'Create "%s" table is necessary...');
define('TEXT_TABLE_INSERTS_NECESSARY', 'Table inserts necessary...');
define('TEXT_SUCCESS_CREATING_TABLE', 'Successfully created table "%s".');
define('TEXT_ERROR_CREATING_TABLE', 'Error returned when creating table "%s".');
define('TEXT_SUCCESS_INSERTING_INTO_TABLE', 'Successfully inserted record %s into "%s".');
define('TEXT_ERROR_INSERTING_INTO_TABLE', 'Error returned when inserting a record into "%s".');

define('TEXT_COLUMN_FOUND_DOING_NOTHING', 'Column "%s" found in Table "%s", doing nothing.');
define('TEXT_COLUMN_FOUND_NOTHING_TO_DO', 'Column "%s" found in Table "%s", nothing to do.');
define('TEXT_COLUMN_NOT_FOUND_CREATING', 'Column "%s" not found in Table "%s". Adding column...');
define('TEXT_CREATE_COLUMN_NECESSARY', 'Create "%s" column in Table "%s" is necessary...');
define('TEXT_SUCCESS_CREATING_COLUMN', 'Successfully created Column "%s" in Table "%s".');
define('TEXT_ERROR_CREATING_COLUMN', 'Error returned when creating Column "%s" in Table "%s".');

define('TEXT_CHECKING_CONFIGURATION_STATUS', 'Checking Configuration Status');
define('TEXT_CHECKING_FOR_KEYS', 'Checking for Keys...');
define('TEXT_CONFIG_GROUP_EXIST', 'Configuration Group "%s" exists.');
define('TEXT_CONFIG_KEY_EXIST', 'Configuration Key "%s" exists.');
define('TEXT_CONFIG_KEY_NOT_EXIST', 'Configuration Key "%s" does not exist.');
define('TEXT_CONFIG_GROUP_NOT_EXIST', 'Configuration Group "%s" does not exist.');

define('TEXT_CHECKING_FOR_TABLES', 'Checking for Tables...');
define('TEXT_TABLE_FOUND', 'Table "%s" found.');
define('TEXT_TABLE_NOT_FOUND', 'Table "%s" was not found.');
define('TEXT_NO_TABLES', 'No Tables to check for.');

define('TEXT_CHECKING_FOR_COLUMNS', 'Checking for Columns...');
define('TEXT_COLUMN_FOUND', 'Column "%s" found in Table "%s".');
define('TEXT_COLUMN_NOT_FOUND', 'Column "%s" not found in Table "%s".');
define('TEXT_TABLE_NOT_FOUND_FOR_COLUMN', 'Table "%s" was not found, column check not performed.');
define('TEXT_NO_COLUMNS', 'No Columns to check for.');

define('IMAGE_CANCEL', 'Cancel');
define('IMAGE_BACK', 'Back');

define('SQL_DISPLAY', '<textarea wrap="off" rows="%s">%s</textarea><br />');

?>
