<?php
/*
  $Id: contrib_tracker.php,v 1.8.0 2014/07/07 00:00:00 $

  Designed for: osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Released under the GNU General Public License
  
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

define('NAVBAR_TITLE', 'Contribution Tracker');
define('HEADING_TITLE', 'Contribution Tracker');
define('HEADING_TITLE_CONTRIBSEARCH','Suche');
define('HEADING_CONTRIB_RSS_SUPPORT_SITE','osCommerce Contributions RSS Feed');
define('HEADING_CONTRIB_HTML_SUPPORT_SITE','osCommerce Contributions HTML Site');
define('HEADING_SUB_TITLE','berblick');
define('HEADING_SUB_TITLE_EDIT','ndern');
define('HEADING_SUB_TITLE_INSERT','Einfgen');
define('HEADING_SUB_TITLE_DELETE','Lschen');
define('HEADING_SUB_TITLE_SETFLAG','nderungsstatus');
define('HEADING_SUB_TITLE_READONLY','Vorschau');


define('TEXT_NAME_VERSION','Contribution Name:');
define('TEXT_OSC_ID','OSC ID:');
define('TEXT_QUICKOSC_ID','Bitte OSC ID zum schnellen Hinzufgen eingeben:');
define('TEXT_INFO_HTML','Contribution URL:');
define('TEXT_CONFIG_COMMENTS','Bemerkung:');
define('TEXT_INFO_HEADING_DELETE','Soll der Contribution-Eintrag gelscht werden ?');
define('TEXT_INFO_DELETE_INTRO','Mchten Sie wirklich lschen ?');
define('TEXT_INFO_DATE_ADDED','Zum Shop hinzugefgt am:');
define('TEXT_INFO_STATUS_REFERENCE','Status Reference:');
define('TEXT_INFO_LAST_MODIFIED','Letzte offizielle nderung:');
define('TEXT_INFO_STATUS_CHANGE','Status gendert:');
define('TEXT_INFO_STATUS','Status:');
define('TEXT_INFO_TO_REMEMBER','Zuletzt in den Shop integriert am:');
define('TEXT_INFO_SUPPORT','Support Thread URL:');
define('TEXT_OSC_SUPPORT_THREAD','Support Thread URL');

define('TEXT_CONFIG_STATUS','Marker:');
define('TEXT_DISPLAY_NUMBER_OF_RECORDS','Anzeige von <b>%d</b> durch <b>%d</b> von <b>%d</b> Contributionen');
define('TEXT_NO_DATA','Keine passenden Daten gefunden');
define('TEXT_EMPTY_DATABASE','Keine Contribution in der Datenbank !');
define('TEXT_SELECTED_ITEM_NOT_ON_PAGE','The selected item is not on this page.');
define('TEXT_HELP_NOTES_HEADER','Contribution Tracker Hinweise:');
define('TEXT_HELP_NOTES','<li>Geben Sie den Titel EXAKT so ein, wie er auf der Contributionsseite angegeben ist.</li><li>Wenn die Statsuanzeige rot ist '.tep_image(DIR_WS_IMAGES . 'icon_status_red.gif', 'existieren neue Versionen', 10, 10).', Klicken Sie auf den Contributionsnamen, um die neue Version zu sehen.</li><li>Klicken Sie auf die grne Statusanzeige '. tep_image(DIR_WS_IMAGES . "icon_status_green.gif", "Keine neuen Versionen", 10, 10).' um das letzte Integrationsdatum zu setzen.</li>');
define('TEXT_CONTRIB_HEADER','Aktuellste OSC Contributionen:');
define('TEXT_VERSION_NUMBER','Version:');
define('TEXT_CONTRIBUTION_ID','Contribution ID:');
define('TEXT_LINK_TO','Link to:');
define('TEXT_CONTRIBUTION_LINK','Contribution');
define('TEXT_SUPPORT_LINK','Support');
define('TEXT_RESET_REF_DATE','Reset to Current Installed Version Date');
define('TEXT_TODAY_DATE','Heute');
define('TEXT_NAME_NOTE_NEW','<a href="javascript:toggleDivBlock(\'nameInfo\');">(info)</a><span id="nameInfo" style="display: none;"><br><i>Fr Contributionen von OSCommerce brauchen Sie nur die ID eingeben und der Contribution Tracker trgt die URL und den Namen der Contribution ein.</i></span>');
define('TEXT_ID_NOTE_NEW','<a href="javascript:toggleDivBlock(\'idInfo\');">(info)</a><span id="idInfo" style="display: none;"><br><i>Fr Contributionen von OSCommerce brauchen Sie nur die ID einzugeben, der Contribution Tracker wird die URL und den Namen den Contribution eintragen.</i></span>');
define('TEXT_VERSION_NOTE_NEW','<a href="javascript:toggleDivBlock(\'versionInfo\');">(info)</a><span id="versionInfo" style="display: none;"><br><i>Geben Sie hier die installierte Version ein.</i></span>');
define('TEXT_INT_DATE_NEW','<a href="javascript:toggleDivBlock(\'IntInfo\');">(info)</a><span id="IntInfo" style="display: none;"><br><i>Setzen Sie einen Haken vor  \'Heute\', um das Tagesdatum als Aktualisierungsdatum zu bernehmen.</i></span>');
define('TEXT_ADD_DATE_NEW','<a href="javascript:toggleDivBlock(\'AddInfo\');">(info)</a><span id="AddInfo" style="display: none;"><br><i>Setzen Sie einen Haken vor  \'Heute\' , um das Tagedatum als Installationsdatum dieser Contribution in Ihrem Shop zu bernehmen.</i></span>');
define('TEXT_ID_QUICK_NEW','<a href="javascript:toggleDivBlock(\'QuickEnter\');">(info)</a><span id="QuickEnter" style="display: none;"><br><i>Geben Sie die ID der Contribution ein, um sie schnell Ihrer Liste hinzuzufuegen. Das Tagesdatum wird dabei als Installations- und als letztes Aktualisierungdatum verwendet. Wenn Sie es moechten koennen Sie spaeter die Versionsnummer haendisch ergaenzen.</i></span>');
define('TEXT_MANUAL_CHECK','berprfen Sie die Contributionsseite auf neue Versionen');
define('TEXT_OSC_URL','<a href="javascript:toggleDivBlock(\'OSCURL\');">(info)</a><span id="OSCURL" style="display: none;"><br><i>Geben Sie die URL der Contribution ein. Wenn Sie stattdessen die ID eingegeben haben, brauchen Sie nicht die URL einzugeben, da diese dann automatisch befuellt wird.</i></span>');
define('TEXT_OSC_SUPPORT','<a href="javascript:toggleDivBlock(\'SUPPORTURL\');">(info)</a><span id="SUPPORTURL" style="display: none;"><br><i>Geben Sie hier die URL des Support Thread zu dieser Contribution ein.</i></span>');
define('TEXT_LATEST_RELEASE_INFO','<a href="javascript:toggleDivBlock(\'LatestRelDate\');">(info)</a><span id="LatestRelDate" style="display: none;"><br /><i>This date is maintained by the code and always reflects the<br /> Latest Official Release Date at addons.oscommerce.com.</i><br /><br /></span>');
define('TEXT_RESET_REF_DATE_INFO','<a href="javascript:toggleDivBlock(\'RefDate\');">(info)</a><span id="RefDate" style="display: none;"><br /><i>This date is used to determine status changes by comparing to the<br /> Latest Official Release Date at addons.oscommerce.com.</i><br /><br /></span>');
define('TEXT_PLACEHOLDER','yyyy-mm-dd');

define('TEXT_NEW_UPDATE_EXISTS','Es sind neue Versionen vorhanden');
define('TEXT_SET_NEW_UPDATE_EXISTS','Set: New Update Exists Marker');
define('TEXT_NO_NEW_UPDATE','Keine neuen Versionen');
define('TEXT_SET_NO_NEW_UPDATE','Set: No New Update Marker');
define('TEXT_NO_STATUS','Kein Status');
define('TEXT_INFO','Info');

define('MESSAGE_INSERT_SUCCESS','Contribution erfolgreich hinzugefgt.');
define('MESSAGE_INSERT_ERROR','Fehler beim Hinzufgen der Contribution.');
define('MESSAGE_INSERT_DUPLICATE','Contribution existiert bereits.');
define('MESSAGE_WARNING_CONTRIB_ID_NOT_FOUND','No valid contribution number found, adding your details unlinked to a contribution.');
define('MESSAGE_ERROR_GETTING_CONTRIB_INFO','Connection to %s could not be established.');
define('MESSAGE_UPDATE_SUCCESS','Contribution erfolgreich aktualisiert.');
define('MESSAGE_UPDATE_ERROR','Fehler beim Aktualisieren der Contribution.');
define('MESSAGE_DELETE_SUCCESS','Contribution erfolgreich gelscht.');
define('MESSAGE_DELETE_ERROR','Fehler beim Lschen der Contribution.');
define('MESSAGE_UPDATECHECK_SUCCESS','Datum erfolgreich hinzugefgt.');
define('MESSAGE_UPDATECHECK_ERROR','Fehler beim Hinzufgen des Datums.');
define('MESSAGE_LINKCHANGE_SUCCESS','Updated contribution link to new add-ons URL.');
define('MESSAGE_MANUALALL_SUCCESS','Alle Contributionen wurden erfolgreich aktualisiert.');
define('MESSAGE_MANUALALL_ERROR','Fehler beim Aktualisieren der Contribution: Contribution Name: ');
define('MESSAGE_MANUALALL_NONE_ERROR','Es gibt keine Contributionen zum berprfen.');

define('IMAGE_BUTTON_BACK','Zurck zur vorherigen Seite');
define('IMAGE_INSERT','Neue Contribution hinzufgen');
define('IMAGE_BUTTON_UPSORT','Spalte aufsteigend sortieren');
define('IMAGE_BUTTON_DOWNSORT','Spalte absteigend sortieren');
define('IMAGE_ICON_STATUS_NONE','Set: Kein Status');
define('IMAGE_ICON_INFO',' Preview ');
define('IMAGE_CHECKALL',' berprfe HTML Seiten bzgl. aller Contributionen');
define('IMAGE_DETAILS','Vorschau');
define('IMAGE_CHECK_FOR_UPDATE','Check for Update');
define('IMAGE_CONFIRM_DELETE','Confirm Delete');

define('TABLE_HEADING_NAME', 'Contribution Titel');
define('TABLE_HEADING_STATUS', 'Status');
define('TABLE_HEADING_CURRENT', 'Current');
define('TABLE_HEADING_LATEST', 'Latest');
define('TABLE_HEADING_ADDED', 'Added');
define('TABLE_HEADING_ACTION', 'Aktion');
define('TABLE_HEADING_VERSION', 'Version');
define('HEADING_LAST_CHECK', 'Letzte hndisch berprfte Contribution:');

define('TEXT_STATUS_ZERO', 'Update is available');
define('TEXT_STATUS_ONE', 'Contribution is up-to-date');
define('TEXT_STATUS_TWO', 'No Status');

?>
