<?php
/*
  $Id: contrib_tracker.php,v 1.8.0 2014/07/07 00:00:00 $

  Designed for: osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Released under the GNU General Public License
  
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

define('NAVBAR_TITLE', 'Contribution Tracker');
define('HEADING_TITLE', 'Contribution Tracker');
define('HEADING_TITLE_CONTRIBSEARCH','Søg');
define('HEADING_CONTRIB_RSS_SUPPORT_SITE','osCommerce Contributions RSS Feed');
define('HEADING_CONTRIB_HTML_SUPPORT_SITE','osCommerce Contributions HTML Site');
define('HEADING_SUB_TITLE','Overblik');
define('HEADING_SUB_TITLE_EDIT','Opdater');
define('HEADING_SUB_TITLE_INSERT','Indsæt');
define('HEADING_SUB_TITLE_DELETE','Slet');
define('HEADING_SUB_TITLE_SETFLAG','Skift Status');
define('HEADING_SUB_TITLE_READONLY','Se');


define('TEXT_NAME_VERSION','Contribution Navn:');
define('TEXT_OSC_ID','OSC ID:');
define('TEXT_QUICKOSC_ID','Quick Add OSC ID:');
define('TEXT_INFO_HTML','Contribution URL:');
define('TEXT_CONFIG_COMMENTS','Noter:');
define('TEXT_INFO_HEADING_DELETE','Slet Contribution Entry?');
define('TEXT_INFO_DELETE_INTRO','Er du sikker på du vil slette ');
define('TEXT_INFO_DATE_ADDED','Dato tilføjet til shoppen:');
define('TEXT_INFO_STATUS_REFERENCE','Status Reference:');
define('TEXT_INFO_LAST_MODIFIED','Sidste officielle opdatering:');
define('TEXT_INFO_STATUS_CHANGE','Status Ændret:');
define('TEXT_INFO_STATUS','Status:');
define('TEXT_INFO_TO_REMEMBER','Sidste dato integreret i shoppen:');
define('TEXT_INFO_SUPPORT','Support Thread URL:');
define('TEXT_OSC_SUPPORT_THREAD','Support Thread URL');

define('TEXT_CONFIG_STATUS','Marker:');
define('TEXT_DISPLAY_NUMBER_OF_RECORDS','Viser <b>%d</b> til <b>%d</b> af <b>%d</b> Contribution Title');
define('TEXT_NO_DATA','Ingen matchende data fundet');
define('TEXT_EMPTY_DATABASE','Ingen Contributions i Databasen!');
define('TEXT_SELECTED_ITEM_NOT_ON_PAGE','The selected item is not on this page.');
define('TEXT_HELP_NOTES_HEADER','Contribution Tracker usage notes:');
define('TEXT_HELP_NOTES','<li>Skriv titlen HELT som på Rss feed eller hjemmesiden. </li><li>Når status lyset er rødt, er der en opdatering tilgængelig <a href ="http://www.oscommerce.com/community/contributions">her.</a></li><li>Når der klikkes på det grønne lys, bliver den sidste integrerede tid sat til nu eller publikationsdatoen af den sidste opdatering. Så vær sikker på at den sidste contrib er blevet installeret.</li><li>Klik contrib titlen for at Åbne et nyt vindue og indlæse contrib siden.</li><li>klik på den contrib\'s navn for at gå til contrib\'s siden</li>');
define('TEXT_CONTRIB_HEADER','Sidste OSC Contributions:');
define('TEXT_VERSION_NUMBER','Version nummer');
define('TEXT_CONTRIBUTION_ID','Contribution ID:');
define('TEXT_LINK_TO','Link to:');
define('TEXT_CONTRIBUTION_LINK','Contribution');
define('TEXT_SUPPORT_LINK','Support');
define('TEXT_RESET_REF_DATE','Reset to Current Installed Version Date');
define('TEXT_TODAY_DATE','Idag');
define('TEXT_NAME_NOTE_NEW','<a href="javascript:toggleDivBlock(\'nameInfo\');">(info)</a><span id="nameInfo" style="display: none;"><br><i>Kun contributions fra OSCommerce side, behøver du kun indtaste ID og Contribution tracker vil selv finde URL, og navn på contribution.</i></span>');
define('TEXT_ID_NOTE_NEW','<a href="javascript:toggleDivBlock(\'idInfo\');">(info)</a><span id="idInfo" style="display: none;"><br><i>Kun contributions fra OSCommerce side, behøver du kun indtaste ID og Contribution tracker vil selv finde URL, og navn på contribution.</i></span>');
define('TEXT_VERSION_NOTE_NEW','<a href="javascript:toggleDivBlock(\'versionInfo\');">(info)</a><span id="versionInfo" style="display: none;"><br><i>Indtast Version nummeret du har indstalleret her.</i></span>');
define('TEXT_INT_DATE_NEW','<a href="javascript:toggleDivBlock(\'IntInfo\');">(info)</a><span id="IntInfo" style="display: none;"><br><i>Hvis du laver flueben i "idag" boxen Contrib Tracker vil indsætte idag dato som den sidste integreret dato.</i></span>');
define('TEXT_ADD_DATE_NEW','<a href="javascript:toggleDivBlock(\'AddInfo\');">(info)</a><span id="AddInfo" style="display: none;"><br><i>Hvis du laver flueben i "idag" boxen Contrib Tracker vil indsætte den dag du addet denne contrib til din shop.</i></span>');
define('TEXT_ID_QUICK_NEW','<a href="javascript:toggleDivBlock(\'QuickEnter\');">(info)</a><span id="QuickEnter" style="display: none;"><br><i>Indtast Id nummeret på contribution for hurtigt at adde den til listen. Den korrekte dato vil blive brugt for indsættelse og sidste integreret dato. Du bliver nød til at adde version nummer manuelt senere hvis du vil.</i></span>');
define('TEXT_MANUAL_CHECK','Check contribution\'s page for update');
define('TEXT_OSC_URL','<a href="javascript:toggleDivBlock(\'OSCURL\');">(info)</a><span id="OSCURL" style="display: none;"><br><i>Indtast URLen fra contribution. Hvis du har indtastet ID nummeret, behøver du ikke skrive noget her, Contribution tracker vil gøre det for dig.</i></span>');
define('TEXT_OSC_SUPPORT','<a href="javascript:toggleDivBlock(\'SUPPORTURL\');">(info)</a><span id="SUPPORTURL" style="display: none;"><br><i>Indtast url på contribution\'s support forum.</i></span>');
define('TEXT_LATEST_RELEASE_INFO','<a href="javascript:toggleDivBlock(\'LatestRelDate\');">(info)</a><span id="LatestRelDate" style="display: none;"><br /><i>This date is maintained by the code and always reflects the<br /> Latest Official Release Date at addons.oscommerce.com.</i><br /><br /></span>');
define('TEXT_RESET_REF_DATE_INFO','<a href="javascript:toggleDivBlock(\'RefDate\');">(info)</a><span id="RefDate" style="display: none;"><br /><i>This date is used to determine status changes by comparing to the<br /> Latest Official Release Date at addons.oscommerce.com.</i><br /><br /></span>');
define('TEXT_PLACEHOLDER','yyyy-mm-dd');

define('TEXT_NEW_UPDATE_EXISTS','Ny(e) Opdateringer Findes');
define('TEXT_SET_NEW_UPDATE_EXISTS','Set: New Update Exists Marker');
define('TEXT_NO_NEW_UPDATE','Ingen Opdateringer');
define('TEXT_SET_NO_NEW_UPDATE','Set: No New Update Marker');
define('TEXT_NO_STATUS','Ingen Status');
define('TEXT_INFO','Info');

define('MESSAGE_INSERT_SUCCESS','Contribution succesfuldt addet.');
define('MESSAGE_INSERT_ERROR','Mislykkes at tilføje contribution.');
define('MESSAGE_INSERT_DUPLICATE','Contribution already exists.');
define('MESSAGE_WARNING_CONTRIB_ID_NOT_FOUND','No valid contribution number found, adding your details unlinked to a contribution.');
define('MESSAGE_ERROR_GETTING_CONTRIB_INFO','Connection to %s could not be established.');
define('MESSAGE_UPDATE_SUCCESS','Contribution succesfuldt opdatere.');
define('MESSAGE_UPDATE_ERROR','Mislykkes at opdatere contribution.');
define('MESSAGE_DELETE_SUCCESS','Contribution succesfuldt slettet.');
define('MESSAGE_DELETE_ERROR','Mislykkes at slette contribution.');
define('MESSAGE_UPDATECHECK_SUCCESS','Dato addet succesfuldt.');
define('MESSAGE_UPDATECHECK_ERROR','Mislykkes at adde dato.');
define('MESSAGE_LINKCHANGE_SUCCESS','Opdateret contribution link til ny add-ons URL.');
define('MESSAGE_MANUALALL_SUCCESS','Alle contributions er succesfuldt opdateret.');
define('MESSAGE_MANUALALL_ERROR','Contribution mislykkes at opdatere: Contrib Navn: ');
define('MESSAGE_MANUALALL_NONE_ERROR','Der er ingen contributions at checke.');

define('IMAGE_BUTTON_BACK','Tilbage til forrige side');
define('IMAGE_INSERT','Tilføj ny contribution');
define('IMAGE_BUTTON_UPSORT','Sorter denne kolonne efter stigende');
define('IMAGE_BUTTON_DOWNSORT','Sorter denne kolonne efter faldende');
define('IMAGE_ICON_STATUS_NONE','Sæt: Ingen status');
define('IMAGE_ICON_INFO',' Se ');
define('IMAGE_CHECKALL',' Check HTML sider for alle contribs');
define('IMAGE_DETAILS','Details');
define('IMAGE_CHECK_FOR_UPDATE','Check for Update');
define('IMAGE_CONFIRM_DELETE','Confirm Delete');

define('TABLE_HEADING_NAME', 'Contribution Title');
define('TABLE_HEADING_STATUS', 'Status');
define('TABLE_HEADING_CURRENT', 'Current');
define('TABLE_HEADING_LATEST', 'Latest');
define('TABLE_HEADING_ADDED', 'Added');
define('TABLE_HEADING_ACTION', 'Action');
define('TABLE_HEADING_VERSION', 'Version nummer');
define('HEADING_LAST_CHECK', 'Sidst Checket');

define('TEXT_STATUS_ZERO', 'Update is available');
define('TEXT_STATUS_ONE', 'Contribution is up-to-date');
define('TEXT_STATUS_TWO', 'No Status');

?>
